cURL
curl --request POST \ --url https://stacks.aboki.xyz/api/bridge/eth-to-stacks \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data ' { "amountUSDC": "100", "stacksRecipient": "ST1HSKQ5NH4QQBV03SYCARJEN0CVB7PA7ACQ7HZM5" } '
{ "sessionId": "<string>", "status": "<string>", "direction": "<string>", "amountRequired": "<string>", "depositAddress": "<string>", "nextSteps": [ "<string>" ] }
Creates a gasless smart wallet and waits for USDC deposit. Once funded, automatically executes the bridge to mint USDCx on Stacks.
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Bearer <token>
<token>
Bridge request details
Amount of USDC to bridge
"100"
Stacks address to receive USDCx
"ST1HSKQ5NH4QQBV03SYCARJEN0CVB7PA7ACQ7HZM5"
Bridge session created - waiting for deposit